Bug 441040 - Error when trying to enable ntp if I check "Synchronize system clock"
Error when trying to enable ntp if I check "Synchronize system clock"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-04-05 08:22 EDT by Mary Ellen Foster
Modified: 2008-07-08 22:42 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.9.32-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 22:42:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2008-04-05 08:22:55 EDT
Description of problem:
If I go to the NTP tab, enable NTP, check "Synchronize system clock before
starting service" (under Advanced), and click OK, then I get the following
traceback on the console and the window doesn't close.

Traceback (most recent call last):
  File "/usr/share/system-config-date/scdMainWindow.py", line 86, in ok_clicked
    self.apply ()
  File "/usr/share/system-config-date/scdMainWindow.py", line 118, in apply
    if self.dateBackend.writeNtpConfig (ntpServers, ntpServerChoices,
ntpBroadcastClient, ntpLocalTimeSource, ntpStepTime) == None:
  File "/usr/share/system-config-date/dateBackend.py", line 162, in writeNtpConfig
    fd.write (server.ipaddrs[0] + "\n")
AttributeError: 'str' object has no attribute 'ipaddrs'

If I un-check "Synchronize ...", then it closes properly.

Version-Release number of selected component (if applicable):
system-config-date-1.9.28-1.fc9.noarch


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nils Philippsen 2008-04-07 08:33:23 EDT
Should be fixed in system-config-date-1.9.29 which is building right now.
Comment 2 John Poelstra 2008-04-07 12:58:33 EDT
will this include being prompted to set the time/date and enable ntp in firstboot?
Comment 3 Nils Philippsen 2008-04-07 13:05:37 EDT
Well, I've fixed the traceback, if there's anything else, tell me ;-).
Comment 4 John Poelstra 2008-04-07 15:36:00 EDT
i'll look for it in rawhide tomorrow.  thanks
Comment 5 Jon Stanley 2008-04-14 10:51:47 EDT
this no longer occurs.  Also, s-c-date is in firstboot even! :)
Comment 6 Fedora Update System 2008-07-01 05:53:32 EDT
system-config-date-1.9.32-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-07-08 22:42:25 EDT
system-config-date-1.9.32-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.